%define name	mjpegtools
%define version	1.9.0
%define rel 7
%define release %mkrel %rel
%define api	1.9
%define major 0
%define libname %mklibname %name%{api}
%define filename %name-%version

%define _disable_ld_no_undefined 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source: 	http://prdownloads.sourceforge.net/mjpeg/%{filename}.tar.xz
Patch:		mjpegtools-1.9.0-format-strings.patch
Patch2: 	mjpegtools-1.9.0rc1-x86_64.patch
Requires:	%{libname} = %{version}
BuildRequires:  autoconf2.5
BuildRequires:  gtk+2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libSDL_gfx-devel
BuildRequires:  libxxf86dga-devel
BuildRequires:  libquicktime-devel nasm
Buildrequires:	libdv-devel >= 0.99
BuildRequires:	pulseaudio-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version
BuildRequires:	libslang-devel

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n	%{libname}
Summary:	Main library for for %{name}
Group:		System/Libraries
Provides:	libmjpegtools = %version-%release
Obsoletes:	libmjpegtools0 < %version-%release

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %version-%release
Obsoletes:	libmjpegtools0-devel < %version-%release

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %filename
%patch -p1
%patch2 -p1
libtoolize --copy --force
autoreconf
# toolame isn't in Mandriva, mp2enc is, so use that
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%build
export CPPFLAGS="%{optflags} -fpermissive -pthread"
export CFLAGS="%{optflags} -fpermissive -pthread"
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. ../configure --enable-simd-accel \
  --libdir=%_libdir
make
popd
%endif
# build regular package

%if %{_target_cpu} == "i686"
%else
mkdir build-%{_target_cpu}
%endif

pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-simd-accel \
  --libdir=%_libdir
make
popd

%install
rm -rf %buildroot
%ifarch %{ix86}
pushd build-i686
%makeinstall
popd
mkdir -p $RPM_BUILD_ROOT/%_libdir/sse2
mv $RPM_BUILD_ROOT/%_libdir/*.so.* $RPM_BUILD_ROOT/%_libdir/sse2
%endif
pushd build-%{_target_cpu}
%makeinstall
popd
cp mpeg2enc/mpeg2syntaxcodes.h %buildroot%_includedir/mjpegtools/

%post
%_install_info mjpeg-howto.info

%postun
%_remove_install_info mjpeg-howto.info


%post -n %{libname}
/sbin/ldconfig 

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/*
%{_mandir}/man1/*
%_infodir/mjpeg-howto.info*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*-%api.so.%{major}*
%ifarch %{ix86}
%{_libdir}/sse2/lib*-%api.so.%{major}*
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%_mandir/man5/yuv4mpeg.5*
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la



%changelog
* Mon Aug 09 2010 Texstar <texstar at gmail.com> 1.9.0-7pclos2010
- rebuild

* Sun Aug 08 2010 Texstar <texstar at gmail.com> 1.9.0-6pclos2010
- rebuild

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 1.9.0-5pclos2010
- rebuild

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 1.9.0-4pclos2010
- rebuild

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 1.9.0-3pclos2010
- back out slang2

* Fri Oct 30 2009 Texstar <texstar at gmail.com> 1.9.0-2pclos2010
- gcc update
- build for new libslang2

